/*
   Briscola 3.0: Programma di briscola a 2 giocatori
   Copyright (C) 2004  Destroyer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "carte.h"

#define  STC   selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
    	       z1,z2,z3,cpu,TC,cz,gz,sz,zz);
#define  STBC  selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
	       	   z1,z2,z3,cpu,TBC,cz,gz,sz,zz);
#define  STBP  selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
	       	   z1,z2,z3,cpu,TBP,cz,gz,sz,zz);
#define  STP   selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
	       	   z1,z2,z3,cpu,TP,cz,gz,sz,zz);
#define  STB   selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
	       	   z1,z2,z3,cpu,TB,cz,gz,sz,zz);
#define  STN   selz(c1,c2,c3,\
		       bsm,brs,\
	     	   g1,g2,g3,\
	    	   s1,s2,s3,\
	       	   z1,z2,z3,cpu,TN,cz,gz,sz,zz);


#define  STCR   selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
    	       z1,z2,cpu,TC,cz,gz,sz,zz);
#define  STBCR  selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
	       	   z1,z2,cpu,TBC,cz,gz,sz,zz);
#define  STBPR  selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
	       	   z1,z2,cpu,TBP,cz,gz,sz,zz);
#define  STPR   selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
	       	   z1,z2,cpu,TP,cz,gz,sz,zz);
#define  STBR   selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
	       	   z1,z2,cpu,TB,cz,gz,sz,zz);
#define  STNR   selzR(c1,c2,\
		       bsm,brs,\
	     	   g1,g2,\
	    	   s1,s2,\
	       	   z1,z2,cpu,TN,cz,gz,sz,zz);